Bug 63485 - PATH settings
PATH settings
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-14 12:52 EDT by Michael Redinger
Modified: 2014-03-16 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 15:43:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Redinger 2002-04-14 12:52:06 EDT
(This does not really belong to anaconda ... but I couldn't imagine
where to put it ...)

The way beta4 sets the path is much better (eg. thanks of pathmunge) than for example in 7.2.
However, it's still terribly inconsistent. Every program seems to
use different defaults etc.

Below just a few examples. I think you'll get the point ...



user:   xterm -ls, konsole -ls, konsole (under GNOME), rxvt,
        gnome-terminal (under GNOME)
        ssh, telnet, rsh/rlogin
/usr/kerberos/bin:/bin:/usr/bin:/usr/X11R6/bin:/usr/local/bin:/home/c102mr/bin

user:   xterm, konsole (under KDE), gnome-terminal (under KDE),
        KDE (eg. run command)
/usr/kerberos/bin:/bin:/usr/bin:/usr/X11R6/bin:/usr/local/bin

user:   gnome-terminal --login, rxvt -ls, konsole -ls (under GNOME)
/usr/kerberos/bin:/bin:/usr/bin:/usr/X11R6/bin:/usr/local/bin:/home/c102mr/bin:/home/c102mr/bin

user:   rsh host 'echo $PATH'
/usr/bin:/bin

user:   ssh host 'echo $PATH'
/usr/local/bin:/bin:/usr/bin

root:   rsh -l root host 'echo $PATH'
/usr/bin:/bin

root:   ssh root@host 'echo $PATH'
/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin

root:   rsh/rlogin, telnet
/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin:/root/bin

root:   xterm (in GNOME, using su)
/usr/kerberos/sbin:/usr/kerberos/bin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/usr/bin/X11:/usr/X11R6/bin:/root/bin

root: xterm (as root in GNOME)
/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin:/sbin:/usr/sbin:/bin:/usr/bin:/usr/X11R6/bin:/usr/local/bin:/root/bin

root:   xterm -ls (in GNOME, using su)
/usr/kerberos/sbin:/usr/kerberos/bin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/usr/bin/X11:/usr/X11R6/bin:/root/bin:/root/bin

root:   xterm -ls (as root in GNOME)
/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/sbin:/sbin:/usr/sbin:/bin:/usr/bin:/usr/X11R6/bin:/usr/local/bin:/root/bin:/root/bin

root:	su (first ssh host, then su)
/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/home/c102mr/bin
Comment 1 Bill Nottingham 2005-03-01 15:43:48 EST
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response. Please reopen if it persists on current releases.

Note You need to log in before you can comment on or make changes to this bug.